Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventadapter
Class ListGroupEventAdapter

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.eventadapter.ListGroupEventAdapter

All Implemented Interfaces:
  IListGroupEventHandler

    public class ListGroupEventAdapter

extends java.lang.Object
implements IListGroupEventHandler

Constructor Summary
`ListGroupEventAdapter()`

Method Summary
`void` | `onCreate(IReportElementInstance listGroup, IReportContext context)`
`void` | `onPageBreak(IReportElementInstance listGroup, IReportContext context)`
`void` | `onPrepare(IListGroup listGroup, IReportContext context)`
`void` | `onRender(IReportElementInstance listGroup, IReportContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListGroupEventAdapter

    public ListGroupEventAdapter()

Method Detail

### onPrepare

    public void onPrepare(IListGroup listGroup,
                          IReportContext context)
                   throws ScriptException

  Specified by:
    `onPrepare` in interface `IListGroupEventHandler`
  Throws:
    `ScriptException`

### onCreate

    public void onCreate(IReportElementInstance listGroup,
                         IReportContext context)
                  throws ScriptException

  Specified by:
    `onCreate` in interface `IListGroupEventHandler`
  Throws:
    `ScriptException`

### onRender

    public void onRender(IReportElementInstance listGroup,
                         IReportContext context)
                  throws ScriptException

  Specified by:
    `onRender` in interface `IListGroupEventHandler`
  Throws:
    `ScriptException`

### onPageBreak

    public void onPageBreak(IReportElementInstance listGroup,
                            IReportContext context)
                     throws ScriptException

  Specified by:
    `onPageBreak` in interface `IListGroupEventHandler`
  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.